Subject: Re: [PATCH net-next] tg3: extract GRXRINGS from .get_rxnfc

From: Jakub Kicinski <[email-masked]>
Date: Wed, 5 Nov 2025 17:01:45 -0800

On Wed, 5 Nov 2025 11:05:34 -0800 Michael Chan wrote:
> The existing code to use num_online_cpus() is actually not correct.
> This is more correct:
> 
> return min(netif_get_num_default_rss_queues(), tp->rxq_max);
> 
> I think when netif_get_num_default_rss_queues() was used to replace
> num_online_cpus(), tg3_get_rxnfc() was not properly converted.

All true, but perhaps we want to do that change as a follow up?
Someone may show up later insisting that fewer queues cases 
a regression for their workload..

The sensitivity to default queue count was why we didn't change most
of the drivers when netif_get_num_default_rss_queues() got reworked
to a more sane default than 8.